function[csR,v]=colswap(R,i,j)
//given a matrix R (real/complex, constant/polynomial or boolean), this function interchanges 
//its columns indexed by i (scalar/vector) with the columns indexed by j (scalar/vector).
//v is the unimodular matrix associated with these column operations. i.e. csR=R*v
//for real/polynomial matrix. bool2s(csR)==bool2s(R)*v for boolean R.	//

[lhs,rhs]=argn(0)
if rhs~=3 then
error('incorrect no. of input arguments to function ''colswap''.')
end

if typeof(R)~='constant' & typeof(R)~='polynomial'&typeof(R)~='boolean' then
error('Input must be a constant,polynomial or boolean matrix')
end

if typeof(i)=='constant' & typeof(j)=='constant' then
if size(i)==size(j) then
else error('vectors ''i'' and ''j'' must be same sized for column interchange.')
end
if size(i,1)>1&size(i,2)>1 then
error('column indices should be in form of a vector.')
end
  if real(i)==i & real(j)==j then
	if int(i)==i & int(j)==j then
	  if ((any(i<1))|(any(j<1))|(any(i>size(R,2)))|(any(j>size(R,2)))) then
	  error('invalid indices')
	  end
	else error('column indices can not be non integer.')
	end
  else error('column indices can not be non real.')
  end
else error('column indices must be constants.')
end

//make a copy of input R to get its modified form in temrs of output	//
csR=R
//define v as  an identity matrix of column size of R.	//
v=eye(size(R,2),size(R,2))

//for every entry of i, store the corresponding column of csR in a temporary
//variable and replace it with the column of csR indicated by the same numbered 
//entry of j. Replace the same j-th column with the temporary variable. Do the same
//operation on v too.	//
for jk=1:length(i)
t=csR(:,i(jk))
csR(:,i(jk))=csR(:,j(jk))
csR(:,j(jk))=t 
t=v(:,i(jk))
v(:,i(jk))=v(:,j(jk))
v(:,j(jk))=t
end

//end of function colswap	//