function [m,n]=maxnnz(A,varargin)
//this function gives the entry and the index of nonzero entry  having maximum value 
//(or magnitude, depending on user's choice), in the given input A; where A is a real vector or 
//a matrix.	// 

[lhs,rhs]=argn(0)
if rhs<1|rhs>2 then
error('incorrect no. of input arguments to function ''maxnnz'' .')
end

if typeof(A)~='constant' then
error('Input must be a constant vector or matrix')
elseif any(any(real(A)-A~=0)) then
error('function ''maxnnz'' can not handle non-real input.')
end

if A~=[] then
//save a copy of A	//
sA=A

//remove all the zeros of A	//
zind=find(A==0)
A(zind)=[]

  //find max entry (value or magnitude vise, depending on the user's choice) and
  //find its index in original A	//
if rhs==2 then
 if varargin(1)=='m' then
 	[m]=max(abs(A))
 	n=find(abs(sA)==m)
 	n=n(1)
 	m=sA(n)
 else [m]=max(A)
 	n=find(sA==m)
 	n=n(1)
 end
else [m]=max(A)	
n=find(sA==m)
n=n(1)
end

else [m,n]=max(A)
end

//end of function maxnz	//