function[N]=nmatch(R,x,varargin)
//this function counts number of times 'x' appears in 'R'. It counts columnwise
//in the input R, unless optional 3rd argument is 'r'.	//

//R can be either constant,polynomial,boolean, or string (scalar/vector/matrix)
//x is the entry (scalar)	//

[lhs,rhs]=argn(0)
if rhs~=2&rhs~=3 then
error('incorrect no. of input arguments to function ''nmatch''.')
end

tr=typeof(R),tx=typeof(x)
if tr~='constant'&tr~='polynomial'&tr~='boolean'&tr~='string' then
error('Input to function ''nmatch'' must be a constant,...
 polynomial, boolean or string.')
end

if tr~=tx then
if [tr,tx]==['constant','polynomial']|[tr,tx]==['polynomial','constant'] then
else error('invalid search assigned to function ''nmatch''.')
end
end

if rhs==3 then
if typeof(varargin(1))=='string' then
if ~any(varargin(1)==['r','c']) then
error('the optional argument to function ''nmatch'' must be either ''r'' or ''c''.')
end
else error('wrong type of optional argument to function ''nmatch''.')
end
end


//if matrix has to be checked rowwise, transpose it to check columnwise.	//
if rhs==3 then
  if varargin(1)=='r' then
  R=R',tflag=1
  else R=R,tflag=0
  end
else R=R,tflag=0
end

//check the matrix columnwise and count the occurance of matching.	//
N=R==x
N=bool2s(N)
N=cumsum(N,'r')
N=N($,:)

//if transposed matrix has to be checked rowwise, transpose the
//output.	//
if tflag==1 then
N=N'
end

//end of function nmatch	//