function[rsR,u]=rowswap(R,i,j)
//given a matrix R (real/complex, constant/polynomial or boolean), this function interchanges 
//its rows indexed by i (scalar/vector) with those indexed by j (scalar/vector).
//u is the unimodular matrix associated with these row operations. i.e. rsR=u*R
//for real/polynomial matrix. bool2s(rsR)==u*bool2s(R) for boolean R.	//

[lhs,rhs]=argn(0)
if rhs~=3 then
error('incorrect no. of input arguments to function ''roswap''.')
end

if typeof(R)~='constant' & typeof(R)~='polynomial'&typeof(R)~='boolean' then
error('Input must be a constant, polynomial or boolean.')
end

if typeof(i)=='constant' & typeof(j)=='constant' then
if size(i)==size(j) then
else error('vectors ''i'' and ''j'' must be same sized for row interchange.')
end
if size(i,1)>1&size(i,2)>1 then
error('row indices should be in form of a vector.')
end
  if real(i)==i & real(j)==j then
	if int(i)==i & int(j)==j then
	  if ((any(i<1))|(any(j<1))|(any(i>size(R,1)))|(any(j>size(R,1)))) then
	  error('invalid indices')
	  end
	else error('row indices can not be non integer.')
	end
  else error('row indices can not be non real.')
  end
else error('row indices must be constants.')
end

//make a copy of input R to get its modified form in temrs of output	//
rsR=R
//define u as  an identity matrix of row size of R.	//
u=eye(size(R,1),size(R,1))


//for every entry of i, store the corresponding row of rsR in a temporary
//variable and replace it with the row of rsR indicated by the same numbered 
//entry of j. Replace the same j-th row with the temporary variable. Do the same
//operation on u too.	//
for jk=1:length(i)
t=rsR(i(jk),:)
rsR(i(jk),:)=rsR(j(jk),:)
rsR(j(jk),:)=t
t=u(i(jk),:)
u(i(jk),:)=u(j(jk),:)
u(j(jk),:)=t
end

//end of function roswap	//
