function [k]=scale(P,any_all,condition)
//this function gives a number k s.t. k*P satisfies the 3rd input argument
//'condition'. the second argument is either 'all' or 'any' which indicates
//whether all coefficients of P are required to meet the condition or any 
//single coefficient.	//

[lhs,rhs]=argn(0)
if rhs~=3 then
error('incorrect no. of input arguments to function ''scale'' .')
end

if typeof(P)~='constant' & typeof(P)~='polynomial' then
error('Input must be a constant or polynomial matrix')
elseif any(any(real(P)-P~=0)) then
error('function ''scale'' can not handle non-real input.')
end	

if typeof(any_all)=='string' then
if ~any(any_all==['any' 'all']) then
error('improper 2nd argument to function ''scale''.')
end
else error('2nd argument to ''scale'' must be a string.')
end

if typeof(condition)=='string' then
condition=stripblanks(condition)
  pc2=part(condition,[1:2]);pc1=part(condition,1);
  if pc1~='<'&pc2~='<='&pc2~='>='&pc1~='>' then
  error('condition to ''scale'' is not proper.')
  end
end

//separate the logical comparison operator and the targetted value in 
//the condition	//
lc=length(condition)
if part(condition,2)=='=' then
comparison=part(condition,[1:2])
[target,ierr]=evstr(part(condition,[3:lc]))
  if ierr==0 then
  if abs(target)+target==0 then
  warning('only '+string(abs(target))+' considered in stead of '+string(target)+' in condition for ''scale''.')
  end
  target=abs(evstr(target))
  else error('condition must be a logilcal operator followed by a number.')
  end
else comparison=part(condition,1)
  if comparison=='<' then
  [target,ierr]=evstr(part(condition,[2:lc]))
  	if ierr==0 then
	if abs(target)+target==0 then
	warning('only '+string(abs(target))+' considered in stead of '+string(target)+' in condition for ''scale''.')
	end
  	target=0.95*abs(evstr(target))
  	else error('condition must be a logical operator followed by a number.')
  	end
  else [target,ierr]=evstr(part(condition,[2:lc]));
  	if ierr==0 then
	if abs(target)+target==0 then
	warning('only '+string(abs(target))+' considered in stead of '+string(target)+' in condition for ''scale''.')
	end
  	target=1.05*abs(evstr(target))
  	else error('condition must be a logical operator followed by a number.')
  	end
  end
end

//decide the coefficient to be considered (ctc)	//
if any_all=='all' then
  if part(comparison,1)=='>' then
  ctc=minnnz(coeff(P),'m')
  else ctc=maxnnz(coeff(P),'m')
  end
else
  if part(comparison,1)=='>' then
  ctc=maxnnz(coeff(P),'m')
  else ctc=minnnz(coeff(P),'m')
  end
end

//if ctc is not empty, and the desired condition is not satisfied already,
//compute the k.	//
if ctc==[] then
  k=[] 
else 
  if evstr(string(abs(ctc))+comparison+string(target))==%t then
  k=1
  else k=target/abs(ctc)
  end
end

//end of function scale	//