function[Rsv,sn,Rl,Rr]=varshift(R,s,v)	
//this function is to change the sequence of variables in the systems defined
//by AR form (kernel representation). With operator matrix R operating on 
//sequence s, alongwith vector v of indices of variables in s which are to be
//kept in the later part of new sequence (sn), this function gives the new 
//sequence (sn), new operator matrix Rsv, and matrix operators Rl for the 
//variables of s indexed by v, and Rr for the remaining variables.	//

//R=inupt mtx. 	
//s=row vector (constat/polynomial/string)	
//v=vector of indices of variables to be shifted to right. 	//

					
[lhs,rhs]=argn(0)
if rhs~=3 then
error('incorrect no. of input arguments to function ''varshift'' .')
end

if typeof(R)~='constant' & typeof(R)~='polynomial' then
error('Input must be a constant or polynomial matrix')
end

if typeof(s)=='constant' | typeof(s)=='string' then
if size(s,1)~=1 then
error('sequence ''s'' must be a row vector.')
elseif size(s,2)~=size(R,2) then
error('sequence ''s'' must be a row vector with as many entries as the no. of col.s in R.')
end
else error('sequence ''s'' must be constant or string.')
end

if typeof(v)=='constant' then
if real(v)==v & int(v)==v then
if any(v>size(s,1)*size(s,2)) | any(v<1) then
error('invalid indices in vector ''v''.')
end
else error('the vector ''v'' of indices of variables should be real integer only.')
end
else error('wrong type of vector ''v'' which should be ''constant'' only.')
end

//initializing Rr, Rl, sl & sr	//
Rr=[]
Rl=R
[m,n]=size(v)
sr=[]
sl=s

for j=1:m*n, 	
	//move the col. of R indicated by j-th entry of v, from Rl to Rr	//
	Rr=[Rr Rl(:,v(j)) ]
	a=[Rl(:,[1:(v(j)-1)])]
	b=[Rl(:,[(v(j)+1):$])]
	Rl=[a b]

	//move the col. of s indicated by j-th entry of v, from sl to sr	//
	sr=[sr sl(:,v(j)) ]
	a=[sl(:,[1:(v(j)-1)])]
	b=[sl(:,[(v(j)+1):$])]
	sl=[a b]


	//updating vector 'v' to cope up with the change in Rl	//
		for b=(j+1):m*n,
		if v(b) > v(j) then v(b)=v(b)-1, end 
		end
end		//end ing for loop of j=1:m*n	//

//build up new matrix 'Rsv' and new sequence 'sn' from their left and right parts	//
Rsv=[Rl Rr]
sn=[sl sr]

//end of function varshift	//
