function[modR]=zeroing(R,deg)
//this function forces all the entries of input R having degrees indicated
//by deg, to zero. deg can be a vector.//

//R=poly mtx. (or constant)
//deg=an integer scalar/vector
//modR=R with the entries having degree of deg forced to zero.

[lhs,rhs]=argn(0)
if rhs~=2 then
error('incorrect no. of input arguments to function ''zeroing'' .')
end

if typeof(R)~='constant' & typeof(R)~='polynomial' then
error('Input must be a constant or polynomial matrix')
end

if typeof(deg)~='constant' then
error('input ''deg'' to function ''zeroing'' must be a constant.')
elseif int(deg)~=deg then
error('input deg to function ''zeroing'' must be integer.')
elseif real(deg)~=deg then
error('input deg to function ''zeroing'' must be real.')
end

//get a copy of R which can be kept on being modified to get the output
//which is modified from input.	//
sR=size(R)
modR=R

sdeg=length(deg)

//check for every entry of modR, and whenever it is nonzero, see if its degree
//equals any of the entry of deg. Force this entry of modR to 0 if its degree 
//matches with any of the entry of deg.	//
for j=1:sR(1)*sR(2),
  if modR(j)~=0 then
  for i=1:sdeg
	if degree(modR(j))==deg(i) then
	modR(j)=0
	break
	end
  end
  end
end


//end of function zeroing	//