.so ../sci.an
.SH NAME
abs_approx - absolute, approximation
.SH CALLING SEQUENCE
.nf
[aapR]=abs_approx(R,Thr[,flag])
.fi
.SH PARAMETERS
.TP 10
R
:  real matrix (constant or polynomial) to be approximated
.TP 10
Thr
:  real scalar which acts as threshold in approximation
.TP 10
flag
:  character string indicates if value or magnitude of the coefficients
is to be looked at. 
.TP 10
aapR
:  constant or polynomial matrix (approximated)   
.SH DESCRIPTION
This function is meant for approximation. It takes real constant and real 
polynomial matrix \fVR\fR as input alongwith a constant \fVThr\fR which decides the 
threshold value for approximation. All the coefficients of input \fVR\fR smaller 
than threshold \fVThr\fR are forced to zero. 
.LP
\fVflag\fR is optional argument \fVflag='m'\fR when magnitudes are to be 
compared and \fVflag='v'\fR when values are to be looked at. \fVflag\fR
is \fV'm'\fR by default.
.SH EXAMPLE
.nf
d=poly(0,'d');R=[9-19*d^2 5*d+23-90*d^7]	//define a polynomial matrix. 
abs_approx(R,10,'m')	//approximating magnitudes	 of coefficients.
abs_approx(R,10,'v')	//approximating values of coefficients.
abs_approx(R,10)		//appriximates magnitudes by default.
.fi
.SH SEE ALSO
clean, rel_approx
.SH AUTHOR
S. S. K.


