.so ../sci.an
.SH NAME
colswap - column swapping interchanging.
.SH CALLING SEQUENCE
.nf
[csR,v]=colswap(R,i,j)
.fi
.SH PARAMETERS
.TP 10
R
:  matrix (constant, polynomial or boolean) to be operated.
.TP 10
i
:  scalar or vector with entries as the indices of columns of R.
.TP 10
j
:  scalar or vector with entries as the indices of columns of R.
.TP 10
csR
:  matrix R after the column swapping.
.TP 10
v
: unimodular matrix concerned with the column operations.
.SH DESCRIPTION
Given a matrix \fVR\fR (real/complex, constant, polynomial or boolean), this function interchanges 
its columns indexed by \fVi\fR (scalar/vector) with the columns indexed by \fVj\fR (scalar/vector).
\fVv\fR is the unimodular matrix associated with these column operations. 
.SH EXAMPLE
.nf
R=eye(4,6);R(:,6)=-R(:,1)-R(:,2)
[csR,v]=colswap(R,[1,6],[2,4])
csR==R*v
det(v)
[csR,v]=colswap(R,[1,6],[6,4])
csR==R*v
det(v)
R1=R~=0 
[csR1,v]=colswap(R1,[1,6],[2,4])
bool2s(csR1)==bool2s(R1)*v
d=poly(0,'d')
Rp=R.*d
[csRp,v]=colswap(Rp,[1:3],[4:6])
csRp==Rp*v
.fi
.SH SEE ALSO
rowswap
.SH AUTHOR
S. S. K.


