.so ../sci.an
.SH NAME
mdnnz - minimum degree nonzero.
.SH CALLING SEQUENCE
.nf
[flag,mdnnze,mdnnzi]=mdnnz(R [,Thr])
.fi
.SH PARAMETERS
.TP 10
R
: real constant or polynomial matrix  to be looked in.
.TP 10
Thr
:  A number which acts as a threshold of approximation in detecting minimum
degree element of R.
.TP 10
mdnnze
:  first minimum degree entry of R.
.TP 10
mdnnzi
: index of the first minimum degree entry of R.
.TP 10
flag
: when Thr is present in input argument, flag indicates if any entry has been detected 
with absolute coefficient larger than threshold.
.SH DESCRIPTION
This function gives the entry and index of the first nonzero minimum degree 
entry in R. 
.LP
If a number is given as second input argument, 
it is treated as threshold and this function checks for the entry having atleast one 
coefficient with absolute value larger than that of threshold. 
Flag is 0 if none of the minimum degree entries qualify this test. flag is 1 otherwise.
.SH EXAMPLE
.nf
d=poly(0,'d');R=[0 1 3*d;4*d^5 3-5*d 45]
[flag,mdnnze,mdnnzi]=mdnnz(R)
[flag,mdnnze,mdnnzi]=mdnnz(R,1) 
[flag,mdnnze,mdnnzi]=mdnnz(R,47) 
.fi
.SH SEE ALSO
minnnz
.SH AUTHOR
S. S. K.


