.so ../sci.an
.SH NAME
nmatch - number matching.
.SH CALLING SEQUENCE
.nf
[N]=nmatch(R,x [,flag])
.fi
.SH PARAMETERS
.TP 10
R
: a constant, polynomial, string or boolean data variable.
.TP 10
x
: the data to search in R.
.TP 10
flag 
: this optional argument can be either 'r' or 'c' to indicate whether the matching is to be counted
rowwise or columnwise.
.TP 10
N
: number of times x is an entry in R.
.SH DESCRIPTION
This function counts number of times x appears in R. It counts columnwise
in the input R, unless optional 3rd argument is 'r'.	
.SH EXAMPLE
.nf
//for string data
strm=['s' 'u' 'r' 'e' 'n' 'd' 'u';'n'  'a' 'm' 'a' 's' 't' 'e'; 'b' 'o' 'n' 'j' 'o' 'u' 'r']
N=nmatch(strm,'u')
N=nmatch(strm,'u','c')
N=nmatch(strm,'u','r')
//for polynomial data
d=poly(0,'d');pm=[ 0 1 d*3 ;4*d^5 3-5*d d^2]
N=nmatch(pm,3)
N=nmatch(pm,3*d)
.fi
.SH AUTHOR
S. S. K.


