.so ../sci.an
.SH NAME
pdiv2 - modified polynomial divison.
.SH CALLING SEQUENCE
.nf
[R,Q]=pdiv2(P1,P2)
.fi
.SH PARAMETERS
.TP 10
P1
: polynomial matrix
.TP 10
P2
: polynomial or polynomial matrix
.TP 10
Q
: quotient polynomial 
.TP 10
R
: remainder polynomial
.SH DESCRIPTION
This is modified pdiv in the sense this function resorts to pdiv only and 
computes remainder as subtraction of dividand and quotient times divisor.
i.e. \fV R= P1-Q*P2\fR.
.LP
This function gives more accurate remainder than pdiv in case of vast differance between 
coefficients of divisor and dividand.
.SH EXAMPLE
.nf
d=poly(0,'d');
a=26-5333*d-400*d^2;b=6-2e-15*d;
[ro,qo]=pdiv(a,b);	//normal polynomial divison
[r,q]=pdiv2(a,b);	//modified polynomial divison
a-qo*b-ro	//error in pdiv
a-q*b-r		//error in pdiv2
degree(r)==degree(b)	//this illustrates the numerical error in pdiv
.fi
.SH SEE ALSO
pdiv
.SH AUTHOR
S. S. K.


