.so ../sci.an
.SH NAME
projected - representaton or elimination of variables.
.SH CALLING SEQUENCE
.nf
[Rw]=projected(R,s,v)
.fi
.SH PARAMETERS
.TP 10
R
:  real matrix (constant or polynomial).
.TP 10
s
: a string or constant row vector (with as many columns as that of R). 
.TP 10
v
: vector of indices for entries of s. 
.TP 10
Rw
: representative matrix of variables in s indicated by v.
.SH DESCRIPTION
Given the set of variables (s) and its representative matrix (R), this function 
gives the representative matrix Rw for the subset of s indicated by vector v. In other 
words, this function eliminates the variables which are not indicated by v.
.SH EXAMPLE
.nf
d=poly(0,'d')
//define a polynomial matrix, use polyrk and check the results.
R=[
0 2 0 2 0 1 0 0 0;0 3*d 3*d 3*d 0 0 1 0 0;0 1 0 0 -5*d -5*d -5*d 0 0;
0 0 1 0 0 0 0 0 0;0 0 0 1 0 0 0 0 0;1 1 0 1 0 0 0 0 0;
0 0 0 0 0 0 -1 1 0;0 0 0 0 -1 -1 -1 0 1]
s=[1:9];v=[1 8 9];
//project
Rw=projected(R,s,v)
//check the above by using polyrk
[rk,rr,u,leftker]=polyrk(R(:,[2:7]));
leftker*R(:,v)
Rw==leftker*R(:,v)
.fi
.SH SEE ALSO
polyrk
.SH AUTHOR
S. S. K.


