.so ../sci.an
.SH NAME
rel_approx - relative, approximation.
.SH CALLING SEQUENCE
.nf
[rapR]=rel_approx(R,Thr)
.fi
.SH PARAMETERS
.TP 10
R
:  real matrix (constant or polynomial) to be approximated
.TP 10
Thr
:  real scalar which acts as threshold in approximation
rel_appoxR
:  constant or polynomial matrix (approximated)   
.SH DESCRIPTION
This function is meant for approximation. It takes real constant and real 
polynomial matrix \fVR\fR as input alongwith a constant \fVThr\fR which decides the 
threshold value for approximation.

 All the coefficients of input \fVR\fR smaller 
than threshold \fVThr\fR are forced to zero. 
.LP
\fVflag\fR is optional argument \fVflag='m'\fR when magnitudes are to be 
compared and \fVflag='v'\fR when values are to be looked at. \fVflag\fR
is \fV'm'\fR by default.
.SH EXAMPLE
.nf
d=poly(0,'d');R=[25-5000*d-400*d^2 6-0.01*d-6*d^5]	//define a polynomial matrix. 
rel_approx(R,.1)	//threshold lesser than unity results in zero matrix of same size.
rel_approx(R,1)	//unity threshold keeps all the coefficients with max. magnitude in
		//that entry.
//observe the differences
rel_approx(R,12.4)
rel_approx(R,12.5)
rel_approx(R,599)
rel_approx(R,600)
//approximating different parts of matrix with different relative thresholds.
r1=rel_approx(R(1),15);r2=rel_approx(R(2),599);
[r1 r2]
.fi
.SH SEE ALSO
clean, abs_approx
.SH AUTHOR
S. S. K.


