.so ../sci.an
.SH NAME
rowswap - row swapping interchanging.
.SH CALLING SEQUENCE
.nf
[rsR,u]=rowswap(R,i,j)
.fi
.SH PARAMETERS
.TP 10
R
:  matrix (constant, polynomial or boolean) to be operated.
.TP 10
i
:  scalar or vector with entries as the indices of rows of R.
.TP 10
j
:  scalar or vector with entries as the indices of rows of R.
.TP 10
rsR
:  matrix R after the row swapping.
.TP 10
v
: unimodular matrix concerned with the row operations.
.SH DESCRIPTION
Given a matrix \fVR\fR (real/complex, constant, polynomial or boolean), this function interchanges 
its rows indexed by \fVi\fR (scalar/vector) with the rows indexed by \fVj\fR (scalar/vector).
\fVu\fR is the unimodular matrix associated with these row operations. 
.SH EXAMPLE
.nf
R=eye(6,4);R(6,:)=-R(1,:)-R(2,:)
[rsR,u]=rowswap(R,[1,6],[2,4])
rsR==u*R
det(u)
[rsR,u]=rowswap(R,[1,6],[6,4])
rsR==u*R
det(u)
R1=R~=0 
[rsR1,u]=rowswap(R1,[1,6],[2,4])
bool2s(rsR1)==u*bool2s(R1)
d=poly(0,'d')
Rp=R.*d
[rsRp,u]=rowswap(Rp,[1:3],[4:6])
rsRp==u*Rp
.fi
.SH SEE ALSO
colswap
.SH AUTHOR
S. S. K.


