.so ../sci.an
.SH NAME
scale - scale magnitude polynomial. 
.SH CALLING SEQUENCE
.nf
[k]=scale(P,any_all,condition)
.fi
.SH PARAMETERS
.TP 10
P
: polynomial matrix/vector
.TP 10
any_all
: string 'any' or 'all' to instruct the function whether to look at all the coefficients of P or
any one of them.
.TP 10
condition
: string imposing the condition which the coefficients of P are supposed to satisfy after being 
scaled. This is a logical operator followed by a number.
.TP 10
k
: scaling factor s.t. when multiplied to P, the coefficients of k*P satisfy the condition.
.SH DESCRIPTION
This function gives the scaling factor for input P such that the magnitudes of 
coefficients (either all or any depending on user's choice) of k*P satisfy the condition mentioned in the input.
.SH EXAMPLE
.nf
d=poly(0,'d');
R=[25-500*d^2 6-0.01*d-6*d^5]       
k=scale(R,'all','> 1'),k*R   
k=scale(R,'all','>= 1'),k*R
k=scale(R,'all','< 50'),k*R
k=scale(R,'all','<= 50'),k*R
k=scale(R,'all','>= .0050'),k*R
k=scale(R,'any','<.5'),k*R     
k=scale(R,'any','<.0075'),k*R

.fi
.SH SEE ALSO

.SH AUTHOR
S. S. K.


