.so ../sci.an
.SH NAME
varshift - variable shifting.
.SH CALLING SEQUENCE
.nf
[Rsv,sn,Rl,Rr]=varshift(R,s,v)
.fi
.SH PARAMETERS
.TP 10
R
:  matrix (constant or polynomial).
.TP 10
s
: row vector of variables (string or constant).
.TP 10
v
:  scalar or vector with entries as the indices of columns of R.
.TP 10
Rsv
:  matrix R with new sequence.
.TP 10
sn
: new sequence of variables.
.TP 10
Rr
: columns of R concerned with variables of s indexed by v (right part of Rsv).
.TP 10
Rl
: columns of R other than Rr (left part of Rsv).
.SH DESCRIPTION
Given a matrix R operating on a sequence of variables s, Rsv is another matrix in which columns of R
are swapped in such a way that the columns corresponding to variables indexed by v are on right
and the others on left. It also gives the new sequence of variables which is represented by Rsv.
.SH EXAMPLE
.nf
R=eye(4,6);R(:,6)=-R(:,1)-R(:,2)
[Rsv,sn,Rl,Rr]=varshift(R,['x1' 'x2' 'x3' 'x4' 'x5' 'x6'],[2 4]')
[Rsv,sn,Rl,Rr]=varshift(R,[1:6],[1,5,2])
.fi
.SH SEE ALSO
colswap
.SH AUTHOR
S. S. K.


