.so ../sci.an
.SH NAME
zeroing - polynomials replaced by zeros.
.SH CALLING SEQUENCE
.nf
[modR]=zeroing(R,deg)
.fi
.SH PARAMETERS
.TP 10
R
:  real matrix (constant or polynomial) to be modified.
.TP 10
deg
: degrees of polynomials to be replaced by zero in R.
.TP 10
modR
: modified R (the entries of a particular degree are replaced by zeros).
.SH DESCRIPTION
Given a polynomial matrix R, this function replaces all its entries of degree 
indicated by deg with zeros; which results into modR.
.SH EXAMPLE
.nf
//define a polynomial matrix. 
d=poly(0,'d');R=[9-19*d^2 5*d+23-90*d^7; 3*d^4 -44*d^6 ]
[modR]=zeroing(R,6) 
[modR]=zeroing(R,[1:4])
[modR]=zeroing(R,[5:8])
.fi
.SH SEE ALSO
clean, abs_approx, rel_approx
.SH AUTHOR
S. S. K.


